# ArrayObject::offsetUnset

(PHP 5, PHP 7, PHP 8)

ArrayObject::offsetUnset — Unsets the value at the specified index

### Beschreibung

public ArrayObject::offsetUnset(mixed `$key`): void

Unsets the value at the specified index.

### Parameter-Liste

`key`

  The index being unset.

### Rückgabewerte

Es wird kein Wert zurückgegeben.

### Beispiele

Beispiel #1 ArrayObject::offsetUnset() example

`<?php
$arrayobj = new ArrayObject(array(0=>'zero',2=>'two'));
$arrayobj->offsetUnset(2);
var_dump($arrayobj);
?>`

Das oben gezeigte Beispiel erzeugt folgende Ausgabe:

    object(ArrayObject)#1 (1) {
      ["storage":"ArrayObject":private]=>
      array(1) {
        [0]=>
        string(4) "zero"
      }
    }

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open